<?php
namespace App;

use Illuminate\Database\Eloquent\Model;

class Tweet extends Model
{
  protected $fillable = [
    'player_id', 'team_id', 'text', 'photo', 'claimed_at', 'processed', 'mission', 'tweet_date',
    'm1_transit_line_id', 'm1_non_trimet',
    'm2_transit_center_id', 'm2_with_other_team',
    'm3_complete', 'm4_complete', 'm5_complete', 'm5_tip',
    'm6_complete', 'm7_document_id'
  ];

  public static function queued() {
    return Tweet::whereNull('claimed_at')->where('processed', 0)->where('mission', '>', 0)->get();
  }
}
